Skip to main content
`Ctrl`+`K`

# MatFactorGetCanUseOrdering

Indicates if the factorization can use the ordering provided in `MatLUFactorSymbolic()`, `MatCholeskyFactorSymbolic()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorGetCanUseOrdering(Mat mat, PetscBool *flg)

Logically Collective

## Input Parameter

- mat - the matrix

## Output Parameter

- flg - `PETSC_TRUE` if uses the ordering

## Note

Most internal PETSc factorizations use the ordering passed to the factorization routine but external packages do not, thus we want to skip generating the ordering when it is not needed or used.

## See Also

Matrices, `Mat`, Matrix Factorization, `MatCopy()`, `MatDuplicate()`, `MatGetFactorAvailable()`, `MatGetFactor()`, `MatLUFactorSymbolic()`, `MatCholeskyFactorSymbolic()`

## Level

developer

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages